## org.gnu.gtk
Class DataColumn

    java.lang.Object
      org.gnu.gtk.DataColumn

Direct Known Subclasses:
  DataColumnBoolean, DataColumnDouble, DataColumnIconSize, DataColumnInt, DataColumnObject, DataColumnPixbuf, DataColumnStockItem, DataColumnString

public abstract class DataColumn
extends java.lang.Object

Represents a block in which data can be stored in a `TreeModel` (such as `ListStore` or `TreeStore`). In Gtk, these are called columns and are referenced by integers. We have renamed them to DataBlocks to avoid confusion with `TreeViewColumn`s and created these objects to use rather than integers. This allows type checking and should make programs more maintainable. This is an abstract class - there is an implementation of it for each type of data accepted by the two tree models.

See Also:
  `ListStore`, `TreeStore`

Field Summary
`protected int` `column`
`protected Type` `type`

Constructor Summary
`DataColumn()`

Method Summary
`boolean` `equals(DataColumn col)` Determine if the given DataColumn represents the same column in the store as the current object.
`int` `getColumn()` Returns the column number of this dataBlock used internally by Gtk.
`Type` `getType()` Returns the glib Type of data contained in this column.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    protected Type type

### column

    protected int column

Constructor Detail

### DataColumn

    public DataColumn()

Method Detail

### getColumn

    public int getColumn()

  Returns the column number of this dataBlock used internally by Gtk.

### getType

    public Type getType()

  Returns the glib Type of data contained in this column. This can only be called once. (it is only needed once - in the constructor of the listStore/TreeStore)

### equals

    public boolean equals(DataColumn col)

  Determine if the given DataColumn represents the same column in the store as the current object. This compares the column ids using the `getColumn()` method.